Anonymous Login
2019-02-21 12:32 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000755v2.3 Release (Closed)[All Projects] Generalpublic2011-03-29 22:27
Reporterdataguy12 
Assigned Tocaseydk 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.3 
Summary0000755: Login user can't see a contact he just created
DescriptionThe user has a role which has App:Contacts Access, View, Add, Edit, Delete permissions

Whenever the user created a new contact, the contact can be seen by admin, but not by the user himself.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001755

caseydk (administrator)

Please look at the underlying database record..

Is it marked private? Is the Contact attached to a Company or Project the User doesn't have access to?

(Also, moving this to v2.3 as that release is a few days away..)

~0001756

dataguy12 (reporter)

That is the problem, the Contact was created by a user belonging to company 1, but there is not a way to specify who the Contact belongs to, so it's saved to the database thusly: contact_company=0.

Wouldn't it make more sense if the contact created by a user stays within the same company as that user?

~0001793

caseydk (administrator)

Two choices:

Either give the user Access/View to the Companies module and they'll be able to see everything not associated with a Company OR

Open modules/contacts/addedit.php and replace this line:

$company_id = (int) w2PgetParam($_GET, 'company_id', 0);

with this line:

$company_id = (int) w2PgetParam($_GET, 'company_id', $AppUI->user_company);

~0001794

caseydk (administrator)

Oh.. and the second fix will be in the release next week.

~0001827

caseydk (administrator)

Closed in preparation for v2.3
+Notes

-Issue History
Date Modified Username Field Change
2011-03-23 19:35 dataguy12 New Issue
2011-03-23 21:42 caseydk Note Added: 0001755
2011-03-23 21:42 caseydk Status new => feedback
2011-03-23 21:42 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-03-24 06:06 dataguy12 Note Added: 0001756
2011-03-24 22:49 caseydk Priority normal => high
2011-03-24 23:52 caseydk Note Added: 0001793
2011-03-24 23:52 caseydk Status feedback => resolved
2011-03-24 23:52 caseydk Resolution open => fixed
2011-03-24 23:52 caseydk Assigned To => caseydk
2011-03-24 23:52 caseydk Note Added: 0001794
2011-03-29 22:27 caseydk Note Added: 0001827
2011-03-29 22:27 caseydk Status resolved => closed
2011-03-29 22:27 caseydk Fixed in Version => 2.3
+Issue History